%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Sample configuration file for P-Chat v1.20                          %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Registrationcode, only if you are registered                        %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

Registrationcode 1920328625

% (You're lucky if your name happens to be Hans Siemons and your bbs
%  is called Prime BBS ;-))

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Textcolors of sysop, user and reason for chat prompt                %
% Color=Textcolor+16*background color                                 %
%                                                                     %
% List of textcolors               List of background colors          %
%                                                                     %
%  0 - Black                       0 - Black                          %
%  1 - Blue                        1 - Blue                           %
%  2 - Green                       2 - Green                          %
%  3 - Cyan                        3 - Cyan                           %
%  4 - Red                         4 - Red                            %
%  5 - Purple                      5 - Purple                         %
%  6 - Brown                       6 - Brown                          %
%  7 - Light gray                  7 - Light gray                     %
%  8 - Darkgray                                                       %
%  9 - Light blue                                                     %
% 10 - Light green                                                    %
% 11 - Light Cyan                                                     %
% 12 - Light red                                                      %
% 13 - Pink                                                           %
% 14 - Yellow                                                         %
% 15 - White                                                          %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

SysopColor 11          % color of sysoptext
Usercolor 14           % Color of usertext
PromptColor1 15        % Color of Reason for chat prompt
PromptColor2 112       % Color of Reason for chat editfield
AutoPromptColor 14     % Color of nameprompting
NamesColor 112         % Color of names in splitscreen chatmode
ShowColor 14           % Color of 'sysop wants to show you something'
ShellColor 14          % Color of 'sysop shelled to dos'

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Space-character in reason for chat prompt                           %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

PromptChar            % Space-character in reason for chat prompt
NamesChar             % Space-character in name display

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Miscellaneous                                                       %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

Abbreviations          % Abbreviations are active at startup
SplitScreen            % Splitscreen is active at startup if possible
Autoprompting          % Autoprompting is active at startup

ReasonToComment        % Reason for Chat is copied in comment field

% when this keyword is mentioned or the commandline parameter /S is used
% scrolllock on will result in typing in the userfield.

Scrolllock

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% External asc/ans/avt files                                          %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

F_NaStart  F_NASTART      % Sysop not available at startup
F_NaYell   F_NYAELL       % Sysop not available after yelling
F_Abort    F_ABORT        % Sysop aborts yell
F_NoRsn    F_NORSN        % No reason for chat given
Hangup     GOODBYE        % File showed after hanging up

CtrlReturn `;-)           % Replace ctrl-return with this text
                          % ` is replaced by space

NoSysop B6                % Sysop not available? Set this flag, else reset.
24HBeep                   % Let ctrl-g/ctrl-b beep around the clock.

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Subdoors, please read P-Chat.DOC                                    %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Execute during page-hours, for instance a Soundblaster noise maker.

PageExec C:\SOUNDSB\BLAST.EXE SONG

% Execute always before paging, for instance a network utility

AlwaysExec C:\NETWORK\WMESSAGE.EXE "*F *L is yelling on node *N"

% When Remote starts uploading using ZModem this commandline is started

ZReceive C:\PROTOCOL\DSZ.COM rz *Y

% execute this right before P-Chat exits.

EndExec c:\4dos\keystack.com 13

% Alt-F keys start up this: (Default are those configured in RaConfig)

AltF1 c:\protocol\dsz.com sz *v*y
AltF2 c:\protocol\dsz.com sz c:\files\allfiles\allfiles.arj*y
AltF3 c:\doorgame\shuffle.exe
AltF4 #Goodbye

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Typing macro's                                                      %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Type these at sysopend when pressing SHIFT+FKey, at user end when
% pressing CTRL+FKey.
                                    
ShiftF1 Sorry, I just got a voice call. I will throw you back on the bbs for a while.
ShiftF2 Hi, I want to be a supporter of your bbs, may I have your bank-account ;-)
ShiftF3 Sorry, gotta go... Chat you another time /fu!

% On of these sentences is typed when the sysop initiates a chat. One is
% chosen randomly.

SysopStart Hi /FU. Just breaking in for a little chat...
SysopStart Hi there, this is your sysop breaking in for a chat
SysopStart Sorry to disturb you, just breaking in for a chat

% One of these sentences is typed when the user requested a chat, and the
% sysop responded to it. One is chosen randomly

UserStart Hi there, this is your sysop responding to your yell.
UserStart What's up doc?

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Number of lines to scroll at different baudrates                    %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

Scroll0 7
Scroll300  10
Scroll1200 9
Scroll2400 8
Scroll9600 5
Scroll14400 4
Scroll19200 5

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% useron strings, only needed when running multiline                  %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

UseronStartup The user is paging the sysop.
UseronBusy The sysop is chatting with a user.
